Answered By: University of Illinois Library
Last Updated: Jun 02, 2017     Views: 6

Adobe PDFViewer for Mac OS X does not run correctly on a system that doesn't meet the following requirements:

  • Safari browser
  • Mac OS X v10.4.3 and later

Acrobat/Reader 8 supports viewing PDF files inside Safari windows on Mac OS X, and runs only on Mac OS X 10.4.3 and later. It does not support any other browser (such as Firefox and Opera).

Note: If you don't have Acrobat or Adobe Reader, then Safari running in 10.3.9 or later shows PDFs inside its window using the Mac OS X native PDF support; this setup does not support many Adobe PDF workflows (such as the Collaboration feature or many Forms and Security features).

For more information on how to configure your browser to display PDFs, please visit this help page.

Contact Us


If the Ask a Librarian chat service is offline, visit the Ask a Librarian help page to find alternative contact methods.

Related Topics